TRAFFIC(1)

NAME
traffic - graphical display of ethernet traffic

SYNOPSIS
traffic [ -h host ] [ -s subwindows ]

DESCRIPTION
Traffic graphically displays ethernet traffic. It gets statistics from etherd(8c), running on machine host. The tool is divided into subwindows, each giving a different view of network traffic.

OPTIONS

-h host
    Specify a host from which to get statistics. The default value of host is the machine that traffic is running on.

-s subwindows
    Specify the number of subwindows to display initially. The default value of subwindows is 1.

SUBWINDOWS

To the right of each subwindow is a panel that selects what the subwindow is viewing. When Size is checked, than the size distribution of packets is displayed. Proto is for protocol, Src is for source of packet, and Dst is for destination of packet. Since it is not possible to show all possible sources, when Src is selected, only the 8 highest sources are displayed (and similarly for Dst).

For each of these choices, the distribution is displayed by a histogram. The panel above each subwindow controls characteristics of the histograms. At the left of the panel is a shaded square, corresponding to one of the two shades of bars in the histogram. You can switch the shade by either clicking on the square with the left button, or bringing up a menu over the square with the right mouse button. When the light colored square is visible, then the slider in the center of the panel controls how often the light colored bars are updated. When the dark square is visible, then the slider refers to the dark bars of the histogram. To the right of the slider is a choice of Abs versus Rel. This selects whether the height of the histogram is Absolute in packets per second, or Relative in percent of total packets on the ethernet. Next in the panel are three small horizontal bars. When selected (that is, when a check mark appears to the left of the three bars), a horizontal grid appears on the histogram. Finally the button marked Delete Me will delete the subwindow.

The right hand panel also has a choice for Load. Load is represented as a strip chart, rather than a histogram. The maximum value of the graph represents a load of 100%, that is 10 megabits per second on the ethernet. When Load is selected, there is only one slider, and no Rel versus Abs choice.

At the very top of the tool is a panel that contains filters, as well as a Split button that splits the tool and creates a new subwindow, and a Quit button that exits the tool. The filters apply to all the subwindows. When a filter is selected, a check mark appears to the left of the word Filter. There can be more than one filter active at the same time. The meaning of each filter is as follows. Src is a host or net, which can be specified either by name or address (similarlry for Dst). Proto is an ip protocol, and can either be a name (such as udp, icmp) or a number. Lnth is either a packet length, or a range of lengths separated by a dash.

SEE ALSO
etherd(8c)

BUGS
If multiple copies of traffic are using the same copy of etherd, and one of them invokes a filter, then all the copies of traffic will be filtered.